/**
 * Copyright (C) 2012 - Florindo Smilari (spherIC)
 */
package ch.spherIC.recurvebowsight.model;

import java.util.List;


/**
 * @author  FC Smilari
 */
public interface ISight extends IEntity {

    String getManufacturer();

    void setManufacturer(String manufacturer);

    String getModel();

    void setModel(String model);

    Double getAV();

    void setAV(Double aV);

    Double getAH();

    void setAH(Double aH);

    String getHeVis();

    void setHeVis(String heVis);

    Double getVertSkalaRangeMin();

    void setVertSkalaRangeMin(Double vertSkalaRangMin);

    Double getVertSkalaRangeMax();

    void setVertSkalaRangeMax(Double vertSkalaRangMax);

    List<Double> getHeVisList();
}
